%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}

Name:          noggit
Version:       1.0
Release:       %mkrel 1
Summary:       Apache Noggit
Group:         Development/Java
License:       ASL 2.0
Url:           http://labs.apache.org/labs.html
# svn export http://svn.apache.org/repos/asf/labs/noggit noggit-1.0-SNAPSHOT
# tar czf noggit-1.0-SNAPSHOT-src-svn.tar.gz noggit-1.0-SNAPSHOT
Source0:       noggit-%{namedversion}-src-svn.tar.gz
Source1:       noggit-%{namedversion}-autogeneratedfiles.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit

BuildRequires: maven-ant-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Noggit is a fast streaming JSON parser for Java.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n noggit-%{namedversion}

%build

mvn-rpmbuild ant:ant install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

#POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Nov 01 2011 gil <gil> 1.0-1.mga2
+ Revision: 161036
- imported package noggit

